<!DOCTYPE html>
<html ng-app="newinntech_scanner">

<head>
    <!-- Required meta tags-->
    <meta charset="utf-8">
    <meta name="viewport"
        content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui, viewport-fit=cover">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <!-- Color theme for statusbar (Android only) -->
    <meta name="theme-color" content="#2196f3">
    <!-- Your app title -->
    <title>Control-Persona</title>
    <script type="text/javascript" src="../cordova.js"></script>
    <!-- Path to Framework7 Library Bundle CSS -->
    <link rel="stylesheet" href="../node_modules/framework7/css/framework7.bundle.min.css">
    <link rel="stylesheet" href="../node_modules/font-awesome/css/font-awesome.min.css">
    <!-- Path to Framework7 Library Bundle JS-->
    <script type="text/javascript" src="../node_modules/framework7/js/framework7.bundle.min.js"></script>
    <!-- Path to your app js-->
    <script type="text/javascript" src="../node_modules/angular/angular.min.js"></script>
    <script type="text/javascript" src="../js/database/db.js"></script>
    <script type="text/javascript" src="../js/init.js"></script>
     <!-- SwitAlert -->
     <script src="../plugins/swit/sweetalert.min.js"></script>
     <link rel="stylesheet" type="text/css" href="../plugins/swit/sweetalert.css">
</head>

<body ng-controller="init_controller">
    <!-- App root element -->
    <div id="app">

        <!-- Your main view, should have "view-main" class -->
        <div class="view view-main">
            <!-- Initial Page, "data-name" contains page name -->
            <div data-name="home" class="page">

                <!-- Top Navbar -->
                <div class="navbar">
                    <div class="navbar-bg"></div>
                    <div class="navbar-inner">
                        <div class="title">Cidenet - Registro de Empleados</div>
                    </div>
                </div>

                <!-- Bottom Toolbar -->
                <div class="toolbar toolbar-bottom">
                    <div class="toolbar-inner">
                        <!-- Toolbar links -->
                        <button type="submit" ng-click="SaveInfo()" class="link button button-fill color-blue "><i
                                class="fa fa-save" aria-hidden="true" ng-disabled="false"></i> Guardar offline</button>
                        <button ng-show="false" type="submit" ng-click="scan_cedula()" class="link button button-fill color-black"><i
                                class="fa fa-upload" aria-hidden="true"></i> Enviar</button>
                    </div>
                </div>

                <!-- Scrollable page content -->
                <div class="page-content">
                    
                    <form ng-submit="guardarAlumno()">
                        <div ng-hide="creando">
                        Codigo:
                        <br>
                        <input class="form-control" type="text" name="cog" ng-model="alumno.codigo" readonly="readonly">
                        <br>
                        </div>
                        Nombre:
                        <input type="text" name="name" ng-model="alumno.nombre" class="form-control" required="">
                        <br>
                        Telefono:
                        <input type="text" name="tel" class="form-control" ng-model="alumno.telefono" ui-mask="{{telMask}}" required="">
                        <br>
                        Direccion:
                        <br>
                        <textarea class="form-control" ng-model="alumno.direccion" rows="5" required=""></textarea>
                        <br>
                        <button type="submit" class="btn btn-primary">Guardar Cambios</button>  
                        <br>
                        <br>
                        <p class="text-success animated fadeIn fast" ng-show="actualizado">Registro Actualizado</p>
                    </form>



                    <div class="block-title">Creación de nuevo empleado</div>
                    <div class="list no-hairlines-md">
                        <ul>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="PrimerApellido" type="text" placeholder="" value="{{PrimerApellido}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Primer Apellido</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="SegundoApellido" type="text" placeholder="" value="{{SegundoApellido}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Segundo Apellido</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="PrimerNombre" type="text" placeholder="" value="{{PrimerNombre}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Primer Nombre</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="OtrosNombres" type="text" placeholder="" value="{{OtrosNombres}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Otros Nombres</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">   
                                        <div class="item-title item-label">País del Empleo</div>                                        
                                        <div class="item-input-wrap">
                                            <select id="PaisEmpleo" name="PaisEmpleo">
                                                <option value="" selected>Colombia</option>
                                                <option value="">Estados Unidos</option>
                                            </select>
                                        </div>                                    
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">   
                                        <div class="item-title item-label">Tipo de ID</div>
                                        <div class="item-input-wrap">
                                            <select id="TipoID" name="TipoID">
                                                <option value="" selected>Cédula de Ciudadanía</option>
                                                <option value="">Cédula de Extranjería</option>
                                                <option value="">Pasaporte</option>
                                                <option value="">Permiso Especial</option>
                                            </select>
                                        </div>                                        
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="NumeroID" type="text" placeholder="" value="{{NumeroID}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Número ID</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="Email" type="text" placeholder="" value="{{Email}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Email</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="FechaIngreso" type="text" placeholder="" value="{{FechaIngreso}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Fecha de Ingreso</div>
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">   
                                        <div class="item-title item-label">Área</div>                                        
                                        <div class="item-input-wrap">
                                            <select id="Area" name="Area">
                                                <option value="" selected>Administración</option>
                                                <option value="">Financiera</option>
                                                <option value="">Compras</option>
                                                <option value="">Infraestructura</option>
                                                <option value="">Operación</option>
                                                <option value="">Talento Humano</option>
                                                <option value="">Servicios Varios</option>
                                            </select>
                                        </div>                                    
                                    </div>
                                </div>
                            </li>
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <input ng-model="Estado" type="text" placeholder="" value="{{Estado}}">
                                        <span class="input-clear-button"></span>
                                        <div class="item-input-info">Estado</div>
                                    </div>
                                </div>
                            </li>                            
                            <li class="item-content item-input item-input-with-info">
                                <div class="item-inner">
                                    <div class="item-input-wrap">
                                        <div ng-controller="FechaActual">    
                                            <p ng-model="FechaReg">{{ CurrentDate | date:'dd/MM/yyyy HH:mm:ss'}}</p>
                                            <div class="item-input-info">Fecha Registro</div>
                                        </div> 
                                    </div> 
                                </div>
                            </li>
                        </ul>
                    </div>  
                </div>
            </div>
        </div>

</body>

</html>